Skip to main content
DELETE
/
v2
/
dlq
/
{dlqId}
curl -X DELETE https://qstash.upstash.io/v2/dlq/my-dlq-id \
  -H "Authorization: Bearer <token>"

Documentation Index

Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Delete a message from the DLQ.

Request

dlqId
string
The dlq id of the message you want to remove. You will see this id when listing all messages in the dlq with the /v2/dlq endpoint.

Response

The endpoint doesn’t return anything, a status code of 200 means the message is removed from the DLQ. If the message is not found in the DLQ, (either is has been removed by you, or automatically), the endpoint returns a 404 status code.
curl -X DELETE https://qstash.upstash.io/v2/dlq/my-dlq-id \
  -H "Authorization: Bearer <token>"